#pragma once
#include "station.h"
#include "context.h"

class Station;

class State
{
public:
    virtual ~State() = default;

    virtual State* pickedUp(Context context) { return this; }
    virtual State* putDown(Context context, Station* newStation) { return this; }
    virtual State* update(Context context) { return this; }

    virtual void activated(Context context) { }

    virtual String updateDisplay() { return ""; }
};
